Du bist nicht angemeldet.

#1 01.03.2013 23:21:05

stefanhusmann
Moderator

qt4 ersetzt qt

Es gibt ein neues Paket qt4 in [extra]. Dieses wird bei der Aktualisierung qt ersetzen. Für den "normalen" Benutzer sollte der Schwenk geräuschlos vollzogen werden, da alle offiziellen Pakete angepasst worden sind. AUR-Benutzer aber und besonders Betreuer dortiger Pakete müssen etwas beachten.

  1. Im einfachsten Fall muss das nur neu gebaut werden.

  2. Die Abhängigkeit zu qt muss in qt4 geändert werden.

  3. Findet qmake beim Bauen Verwendung, muss es durch womöglich qmake-qt4 (s.u.) ersetzt werden. Das sollte man von Fall zu Fall ausprobieren.

Ausführbare Dateien aus dem qt4-Paket können aufgerufen werden, indem man "-qt4" als Suffix anhängt.

Qt5 ist modularer aufgebaut als Qt4. Das Grundsystem kann als qt5-base installiert werden. Es gibt auch eine Gruppe "qt", mit der "alles" installiert werden kann.

Offline

#2 02.03.2013 11:17:46

Andy@Arch
Mitglied

Re: qt4 ersetzt qt

Für den "normalen" Benutzer sollte der Schwenk geräuschlos vollzogen werden, da alle offiziellen Pakete angepasst worden sind

Denkste gerade Mixxx aus dem Community-Repo installiert und welch wunder die Oberfläche ist kaputt

Offline

#3 02.03.2013 11:40:21

Army
Mitglied

Re: qt4 ersetzt qt

Bugreport erstellt? Fehler sind menschlich wink

Offline

#4 02.03.2013 11:45:37

Andy@Arch
Mitglied

Re: qt4 ersetzt qt

Army schrieb:

Bugreport erstellt? Fehler sind menschlich wink

mmmhh würde ich gerne machen, finde nur bei dem Bugtracker nicht den Button für die Sprachwahl und mein Englisch reicht für so was leider nicht.

Jetzt muss ich mir nur irgendwas für Heute Abend einfallen lassen, wenn ich nicht schon meinen Doppel-CD-Player verkauft hätte, würde ich es auf die altmodische Art machen, analog Mixer steht ja noch rum..........

Beitrag geändert von Andy@Arch (02.03.2013 11:48:37)

Offline

#5 02.03.2013 11:58:07

sanni
Mitglied

Re: qt4 ersetzt qt

Pacman kann nicht updaten, da die Abhängigkeiten anderer Pakete zu Qt immer nochgegeben sind.

>Die Abhängigkeiten zu qt muss in qt4 geändert werden

Hängt das miteinander zusammen? Wie geht das?

Offline

#6 02.03.2013 12:07:12

Army
Mitglied

Re: qt4 ersetzt qt

sanni schrieb:

>Die Abhängigkeiten zu qt muss in qt4 geändert werden

Hängt das miteinander zusammen? Wie geht das?

Öhm .. es gibt halt schlichtweg kein Paket mehr, das "qt" heißt und kein Paket "replaces" qt, daher musst halt in "depends" qt durch qt4 ersetzen und zB in der build-Funktion ggf ein qmake durch qmake-qt4.

Offline

#7 02.03.2013 12:48:30

sanni
Mitglied

Re: qt4 ersetzt qt

Gut, und was mache ich mit den Paketen die mir jetzt beim Update sagen sie wollen unbedingt qt haben?
Das ist ja mein eigentliches Problem -- kein Update weil Pakete qt als Abhängikeit haben.  Wenn ich das deinstalliere motzen die ...

Offline

#8 02.03.2013 13:34:47

stefanhusmann
Moderator

Re: qt4 ersetzt qt

Dann deinstalliere erst einmal die Pakete, die motzen.

Offline

#9 02.03.2013 13:46:56

Army
Mitglied

Re: qt4 ersetzt qt

Offline

#10 02.03.2013 16:02:40

sanni
Mitglied

Re: qt4 ersetzt qt

Deinstallieren, updaten, reinstallieren . . .
Danke smile

Offline

Schnellantwort auf dieses Thema

Schreibe deinen Beitrag und versende ihn
Deine Antwort

Fußzeile des Forums